[![CI](https://github.com/opensearch-project/opensearch-dsl-py/actions/workflows/ci.yml/badge.svg)](https://github.com/opensearch-project/opensearch-dsl-py/actions/workflows/ci.yml)
[![Integration](https://github.com/opensearch-project/opensearch-dsl-py/actions/workflows/integration.yml/badge.svg)](https://github.com/opensearch-project/opensearch-dsl-py/actions/workflows/integration.yml)
[![Chat](https://img.shields.io/badge/chat-on%20forums-blue)](https://forum.opensearch.org/c/clients)
![PRs welcome!](https://img.shields.io/badge/PRs-welcome!-success)

![OpenSearch logo](https://github.com/opensearch-project/opensearch-dsl-py/raw/main/OpenSearch.svg)

> **Warning**
> 
>The OpenSearch high-level Python client (opensearch-dsl-py) will be deprecated after version 2.1.0. We recommend switching to the OpenSearch Python client ([opensearch-py](https://github.com/opensearch-project/opensearch-py)), which now includes the functionality of opensearch-dsl-py.

OpenSearch DSL Python Client

- [Welcome!](https://github.com/opensearch-project/opensearch-dsl-py#welcome)
- [Getting Started](https://github.com/opensearch-project/opensearch-dsl-py#getting-started)
- [Compatibility with OpenSearch](https://github.com/opensearch-project/opensearch-dsl-py#compatibility-with-opensearch)
- [Project Resources](https://github.com/opensearch-project/opensearch-dsl-py#project-resources)
- [Code of Conduct](https://github.com/opensearch-project/opensearch-dsl-py#code-of-conduct)
- [License](https://github.com/opensearch-project/opensearch-dsl-py#license)
- [Copyright](https://github.com/opensearch-project/opensearch-dsl-py#copyright)

## Welcome!

**opensearch-dsl-py** is [a community-driven, open source fork](https://aws.amazon.com/blogs/opensource/introducing-opensearch/) of elasticsearch-dsl-py licensed under the [Apache v2.0 License](LICENSE.txt). It is a Python client specifically used for build and running queries against OpenSearch built on top of [`opensearch-py`](https://github.com/opensearch-project/opensearch-py). For more information, see [opensearch.org](https://opensearch.org/).

## Getting Started

To get started with the OpenSearch DSL Python Client, see [USER GUIDE](USER_GUIDE.md).

## Compatibility with OpenSearch

See [COMPATIBILITY](COMPATIBILITY.md).

## Project Resources

* [Project Website](https://opensearch.org/)
* [Downloads](https://opensearch.org/downloads.html).
* [Documentation](https://opensearch.org/docs/)
* Need help? Try [Forums](https://forum.opensearch.org/)
* [Project Principles](https://opensearch.org/#principles)
* [Contributing to OpenSearch](CONTRIBUTING.md)
* [Maintainer Responsibilities](MAINTAINERS.md)
* [Release Management](RELEASING.md)
* [Admin Responsibilities](ADMINS.md)
* [Security](SECURITY.md)

## Code of Conduct

This project has adopted the [Amazon Open Source Code of Conduct](CODE_OF_CONDUCT.md). For more information see the [Code of Conduct FAQ](https://aws.github.io/code-of-conduct-faq), or contact [opensource-codeofconduct@amazon.com](mailto:opensource-codeofconduct@amazon.com) with any additional questions or comments.

## License

This project is licensed under the [Apache v2.0 License](LICENSE.txt).

## Copyright

Copyright OpenSearch Contributors. See [NOTICE](NOTICE.txt) for details.
